Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Handler::Proxy Class Reference

The Proxy class acts as a proxy for dispatch of completions to operations issued for the associated handler. It allows the handler to be deleted while operations are outstanding. The proxy must be used to get the ACE_Handler pointer for dispatching, and if it's 0, the handler is no longer valid and the result should not be dispatched. More...

`#include <Asynch_IO.h>`

Collaboration diagram for ACE_Handler::Proxy:

[legend]
List of all members.

## Public Member Functions
| Proxy (ACE_Handler *handler)
void | reset (void)
ACE_Handler * | handler (void)
## Private Attributes
ACE_Handler * | handler_

## Detailed Description

The Proxy class acts as a proxy for dispatch of completions to operations issued for the associated handler. It allows the handler to be deleted while operations are outstanding. The proxy must be used to get the ACE_Handler pointer for dispatching, and if it's 0, the handler is no longer valid and the result should not be dispatched.

## Constructor & Destructor Documentation

ACE_Handler::Proxy::Proxy | ( | ACE_Handler * | handler | ) | `[inline]`

## Member Function Documentation

ACE_Handler* ACE_Handler::Proxy::handler | ( | void |  | ) | `[inline]`

void ACE_Handler::Proxy::reset | ( | void |  | ) | `[inline]`

## Member Data Documentation

ACE_Handler* ACE_Handler::Proxy::handler_`[private]`

The documentation for this class was generated from the following file:

- Asynch_IO.h